//---------------------------------------------------------------------------
#ifndef TMainFormH
#define TMainFormH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\Buttons.hpp>
#include <FileCtrl.hpp>
#include <ExtCtrls.hpp>
//---------------------------------------------------------------------------

#if (__BORLANDC__ < 0x0530) // BCB Version 1
class TMainForm : public TForm
{
#else // BCB Version 3 or 4
class PACKAGE TMainForm : public TForm
{
#endif

//---------------------------------------------------------------------------
__published:// Anything that is to be displayed within the Object Inspector

//---------------------------------------------------------------------------
    TLabel *Label1;
    TEdit *Edit1;
    TFileListBox *FileListBox1;
    TDirectoryListBox *DirectoryListBox1;
    TDriveComboBox *DriveComboBox1;
    TFilterComboBox *FilterComboBox1;
    TLabel *DirLabel;
    TBitBtn *SelectButton;
    TBitBtn *DeSelectButton;
    TBitBtn *ExitButton;
    TBitBtn *BuildButton;
    TBitBtn *AddButton;
    TBevel *Bevel2;
    TListBox *ContentsListBox;
    TLabel *Label3;
    TBitBtn *DelButton;
    TLabel *Label2;
    TDriveComboBox *DriveComboBox2;
    TDirectoryListBox *DirectoryListBox2;
    TFileListBox *FileListBox2;
    TFilterComboBox *FilterComboBox2;
    TLabel *Label4;
    TEdit *Edit2;
    TLabel *Label5;
    TBitBtn *ClearButton;
    TBitBtn *SaveButton;
    TBitBtn *LoadConfigButton;
    TBevel *Bevel3;
    TLabel *PackItName;
    TBitBtn *ExtractButton;
    TBitBtn *CopyButton;
    TCheckBox *OverwriteCheckBox;
    TLabel *Label6;
    TMemo *AddFilesMemo;
    TLabel *DifferentLabel;
    TLabel *PITLabel;
    TLabel *PFGLabel;
    TCheckBox *SaveOnExit;
    TLabel *Label7;
    TComboBox *ComboBox1;
    void __fastcall ExitButtonClick(TObject *Sender);
    void __fastcall SelectButtonClick(TObject *Sender);
    void __fastcall DeSelectButtonClick(TObject *Sender);
    void __fastcall BuildButtonClick(TObject *Sender);
    void __fastcall AddButtonClick(TObject *Sender);
    void __fastcall DelButtonClick(TObject *Sender);
    void __fastcall Edit2KeyPress(TObject *Sender, char &Key);
    void __fastcall FormCreate(TObject *Sender);
    void __fastcall Edit2Exit(TObject *Sender);
    void __fastcall CreateButtonClick(TObject *Sender);
    void __fastcall ClearButtonClick(TObject *Sender);
    void __fastcall Edit2Change(TObject *Sender);
    void __fastcall FileListBox2Change(TObject *Sender);
    void __fastcall ExtractButtonClick(TObject *Sender);
    void __fastcall SaveButtonClick(TObject *Sender);
    void __fastcall LoadConfigButtonClick(TObject *Sender);
    void __fastcall BitBtn1Click(TObject *Sender);
    void __fastcall CopyButtonClick(TObject *Sender);
    void __fastcall Label6Click(TObject *Sender);
    void __fastcall FormActivate(TObject *Sender);
    void __fastcall FormDeactivate(TObject *Sender);
    void __fastcall FormPaint(TObject *Sender);
    void __fastcall AddFilesMemoExit(TObject *Sender);
    void __fastcall ComboBox1Change(TObject *Sender);
public:		// Anything available to other classes and/or code
    __fastcall TMainForm(TComponent* Owner);

//---------------------------------------------------------------------------
protected:  // Anything available only to classes descended from this class

//---------------------------------------------------------------------------
private:	// Private data not accessible except from this class

    bool Key_Was_Pressed;
    AnsiString LastPackItName;

};
//---------------------------------------------------------------------------
#if (__BORLANDC__ < 0x0530) // BCB Version 1
extern TMainForm *MainForm;
#else // BCB Version 3 or 4
extern PACKAGE TMainForm *MainForm;
#endif
//---------------------------------------------------------------------------
#endif
